com.genesyslab.wfm7.API.service.calendar760

## Interface ECalRotatingTypes

-     public interface ECalRotatingTypes

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CAL_ROTATING_ANY` Rotating Pattern type is Any (Shift), Day Off possible
    `static int` | `CAL_ROTATING_AVAILABILITY` Rotating Pattern type is Availability, Day Off possible
    `static int` | `CAL_ROTATING_DAYOFF` Rotating Pattern type is Day Off
    `static int` | `CAL_ROTATING_FIXEDSHIFT` Rotating Pattern type is Shift with specified start and end time, Day Off possible
    `static int` | `CAL_ROTATING_FLEXIBLESHIFT` Rotating Pattern type is Flexible Shift (start/end time not specified), Day Off possible
    `static int` | `CAL_ROTATING_GRANTEDANY` Rotating Pattern type is Any (Shift)
    `static int` | `CAL_ROTATING_GRANTEDAVAILABILITY` Rotating Pattern type is Availability
    `static int` | `CAL_ROTATING_GRANTEDFIXEDSHIFT` Rotating Pattern type is Shift with specified start and end time
    `static int` | `CAL_ROTATING_GRANTEDFLEXIBLESHIFT` Rotating Pattern type is Flexible Shift (start/end time not specified)
    `static int` | `CAL_ROTATING_NONE` Rotating Pattern type not defined

- - ### Field Detail

    - #### CAL_ROTATING_NONE

          static final int CAL_ROTATING_NONE

      Rotating Pattern type not defined
      See Also:
        Constant Field Values

    - #### CAL_ROTATING_DAYOFF

          static final int CAL_ROTATING_DAYOFF

      Rotating Pattern type is Day Off
      See Also:
        Constant Field Values

    - #### CAL_ROTATING_ANY

          static final int CAL_ROTATING_ANY

      Rotating Pattern type is Any (Shift), Day Off possible
      See Also:
        Constant Field Values

    - #### CAL_ROTATING_FLEXIBLESHIFT

          static final int CAL_ROTATING_FLEXIBLESHIFT

      Rotating Pattern type is Flexible Shift (start/end time not specified), Day Off possible
      See Also:
        Constant Field Values

    - #### CAL_ROTATING_AVAILABILITY

          static final int CAL_ROTATING_AVAILABILITY

      Rotating Pattern type is Availability, Day Off possible
      See Also:
        Constant Field Values

    - #### CAL_ROTATING_FIXEDSHIFT

          static final int CAL_ROTATING_FIXEDSHIFT

      Rotating Pattern type is Shift with specified start and end time, Day Off possible
      See Also:
        Constant Field Values

    - #### CAL_ROTATING_GRANTEDFIXEDSHIFT

          static final int CAL_ROTATING_GRANTEDFIXEDSHIFT

      Rotating Pattern type is Shift with specified start and end time
      See Also:
        Constant Field Values

    - #### CAL_ROTATING_GRANTEDFLEXIBLESHIFT

          static final int CAL_ROTATING_GRANTEDFLEXIBLESHIFT

      Rotating Pattern type is Flexible Shift (start/end time not specified)
      See Also:
        Constant Field Values

    - #### CAL_ROTATING_GRANTEDAVAILABILITY

          static final int CAL_ROTATING_GRANTEDAVAILABILITY

      Rotating Pattern type is Availability
      See Also:
        Constant Field Values

    - #### CAL_ROTATING_GRANTEDANY

          static final int CAL_ROTATING_GRANTEDANY

      Rotating Pattern type is Any (Shift)
      See Also:
        Constant Field Values

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.